<?php
   /**
    * Developed by: Kolja Nolte
    * Email: kolja.nolte@gmail.com
    * Website: https://www.koljanolte.com
    * PGP key: https://goo.gl/Bb4Ku2
    *
    * This application is free software: you can redistribute it and/or modify
    * it under the terms of the GNU General Public License as published by
    * the Free Software Foundation, either version 3 of the License, or
    * (at your option) any later version as long as you give credits to the core developer(s).
    * See gnu.org for more.
    *
    * @package IMDb Connector
    */

   /**
    * Class IMDb_Connector_Cache
    */
   class IMDb_Connector_Cache {
      /**
       * Deletes the cache generated by IMDb Connector.
       *
       * @param string $cache_location
       *
       * @since 0.4
       *
       * @return bool
       */
      public function delete_cache($cache_location = "all") {
         $success = false;

         /** Stop script if cache location has not been defined */
         if(!$cache_location) {
            return false;
         }

         /** Delete local cache */
         if($cache_location === "all" || $cache_location === "local") {
            $cache_path    = IMDB_CONNECTOR_CACHE_PATH;
            $movie_details = glob("$cache_path/*.tmp");
            $posters       = glob("$cache_path/*.jpg");
            $files         = array_merge($movie_details, $posters);

            foreach($files as $file) {
               if(is_writable($file) && unlink($file)) {
                  $success = true;
               }
            }
         }
         /** Delete database cache */
         if($cache_location === "all" || $cache_location === "database") {
            global $wpdb;

            $table = $wpdb->prefix . IMDB_CONNECTOR_DATABASE_TABLE;

            if($wpdb->query("TRUNCATE $table")) {
               $success = true;
            }
         }

         return $success;
      }
   }